aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-08-10 15:14:08 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-08-10 15:14:08 +0000
commitcd2c647df8aa8d12a6ee329efb4459b67567e9bf (patch)
tree81f4e3bf93dee0da1528ddcd54d0fddddb20babe
parent3c24c45872fd745d8f55015940472e4f583ef764 (diff)
downloadaports-cd2c647df8aa8d12a6ee329efb4459b67567e9bf.tar.gz
aports-cd2c647df8aa8d12a6ee329efb4459b67567e9bf.tar.bz2
aports-cd2c647df8aa8d12a6ee329efb4459b67567e9bf.tar.xz
main/dovecot: dont crash when we rotate logsv2.0.0_rc3
ref #398
-rw-r--r--main/dovecot/2281223b9cb9.patch21
-rw-r--r--main/dovecot/APKBUILD11
2 files changed, 30 insertions, 2 deletions
diff --git a/main/dovecot/2281223b9cb9.patch b/main/dovecot/2281223b9cb9.patch
new file mode 100644
index 0000000000..4eb9c01f85
--- /dev/null
+++ b/main/dovecot/2281223b9cb9.patch
@@ -0,0 +1,21 @@
+
+# HG changeset patch
+# User Timo Sirainen <tss@iki.fi>
+# Date 1281449944 -3600
+# Node ID 2281223b9cb99357a89971b64680530813d22a81
+# Parent 367ce71922bfc95ec1faad91cd47f1c758cd2d50
+master: Don't crash on config reload when using dict processes.
+
+--- a/src/master/dict-process.c Wed Aug 04 16:54:17 2010 +0100
++++ b/src/master/dict-process.c Tue Aug 10 15:19:04 2010 +0100
+@@ -214,7 +214,8 @@
+ struct dict_listener *listener = process->listener;
+
+ dict_process_deinit(process);
+- if (listener->processes == NULL && listener->fd != -1) {
++ if (listener->processes == NULL && listener->fd != -1 &&
++ listener->io == NULL) {
+ /* last listener died, create new ones */
+ listener->io = io_add(listener->fd, IO_READ,
+ dict_listener_input, listener);
+
diff --git a/main/dovecot/APKBUILD b/main/dovecot/APKBUILD
index c6774c14cf..40aae396a4 100644
--- a/main/dovecot/APKBUILD
+++ b/main/dovecot/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=dovecot
pkgver=1.2.13
-pkgrel=0
+pkgrel=1
pkgdesc="IMAP and POP3 server"
url="http://www.dovecot.org/"
license="LGPL-2.1"
@@ -18,8 +18,14 @@ subpackages="$pkgname-doc $pkgname-dev $pkgname-pgsql $pkgname-mysql
source="http://www.dovecot.org/releases/1.2/$pkgname-$pkgver.tar.gz
dovecot.logrotate
dovecot.initd
+ 2281223b9cb9.patch
"
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ patch -p1 -i "$srcdir"/2281223b9cb9.patch || return 1
+}
+
build() {
cd "$srcdir/$pkgname-$pkgver"
@@ -92,4 +98,5 @@ sqlite() {
md5sums="aaee3b5fd59e01780305553248f686bc dovecot-1.2.13.tar.gz
aec5cc797ab2acf72ce3b6bb1030345f dovecot.logrotate
-c58b474dca20e6e60fa4f1f5b9c726e1 dovecot.initd"
+c58b474dca20e6e60fa4f1f5b9c726e1 dovecot.initd
+c8581417ce7946668839a9d0fcd93ee8 2281223b9cb9.patch"